<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.test-case-workspace.dialog.title.export-bdd-script'"
  [dialogId]="data.id"
>
  <sqtm-core-dialog-body>
    <ng-container>
      <div class="p-10">
        <span>{{
          'sqtm-core.test-case-workspace.dialog.message.export-bdd-script'
            | translate
        }}</span>
      </div>
      <div class="sqtm-core-dialog-form p-10" [formGroup]="formGroup">
        <label class="label label__align_right">{{
          'sqtm-core.test-case-workspace.dialog.export.file-name' | translate
        }}</label>
        <sqtm-core-text-field
          [fieldName]="'fileName'"
          [formGroup]="formGroup"
        ></sqtm-core-text-field>
      </div>
    </ng-container>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <a
      nz-button
      [href]="doExport()"
      [download]="getFileName()"
      [nzType]="'primary'"
      [attr.data-test-dialog-button-id]="'export'"
      (click)="close()"
      >{{ 'sqtm-core.generic.label.export' | translate }}</a
    >
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="'default'"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
